# About

Scalable FIU module to connect with multiple AA partners and manage consents for multiple internal applications.

## Getting Started

1. Clone repository `git clone https://github.com/getbootstack/trufiu.git`
2. Review the `.env` and `docker-compose.yaml`.&#x20;
3. Run `docker compose up` from the `trufiu` directory.

{% hint style="info" %}
You may check the latest release of the docker image from the [Github Packages](https://github.com/orgs/getbootstack/packages/container/package/fiu-service)
{% endhint %}

## Supported Environments

This image of TruFIU supports following environments , You can set this in the  `.env`

* sandbox
* uat

## Setup

Once you have the TruFIU Docker Container up and running

1. Create an [App](https://docs.bootstack.xyz/trufiu/apps#v1-apps), take note of the App Credentials (`app_id`, `app_secret`) these are required to make further API calls.
2. Configure your [FIU details](https://docs.bootstack.xyz/trufiu/fiu-config#v1-entities)
3. Add your [partner AA](https://docs.bootstack.xyz/trufiu/fiu-config/aa-partner#v1-entities-fiu_client_id-aa) details, thats all you are all set to create consent and fetch data in the AA ecosystem

## Testing with Simulator

SahamatiNet enables developers to quickly get off the ground by provisioning the [Simulator](https://developer.sahamati.org.in/technical-specifications/proxy-api-specs/integration-using-simulator). TruFIU supports leveraging the same. All you need to do is to [create the AA Entity under your FIU](https://docs.bootstack.xyz/trufiu/fiu-config/aa-partner#v1-entities-fiu_client_id-aa).

```apidom
Simulator Entity ID is: AA-SIMULATOR
```

`x-request-meta` will be automatically handled based on `aa_entity_id` header. You can now pass the all the `x-simulate-res` header as [documented here](https://developer.sahamati.org.in/technical-specifications/proxy-api-specs/integration-using-simulator#aa-response-simulator).

## Support

Running into challenges or bugs? Our team is always there with you. Please raise an issue in the [TruFIU Github repository](https://github.com/getbootstack/trufiu) with details.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bootstack.xyz/trufiu/about.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
